Bug 169422 - kernel 2.6.13-1.1578_FC5 - GPF on a disconnect of a USB device
kernel 2.6.13-1.1578_FC5 - GPF on a disconnect of a USB device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 03:05 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.13-1.1586_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 16:25:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trace of kernel stumbling on a usb floppy (2.72 KB, text/plain)
2005-09-28 03:05 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2005-09-28 03:05:25 EDT
Description of problem:

After connecting a USB floppy, which gets mounted, unmounting it and
disconnecting a plug I am getting "general protection fault: 0000 [1] SMP"
with RIP at 'scsi_mod:scsi_remove_device+75'. A full trace is attached.

Version-Release number of selected component (if applicable):
kernel 2.6.13-1.1578_FC5 but I got the same also with 2.6.13-1.1570_FC5
(both non-SMP)

How reproducible:
always but I could not check on i386 test box as this one has really
broken USB on a hardware level
Comment 1 Michal Jaegermann 2005-09-28 03:05:26 EDT
Created attachment 119346 [details]
trace of kernel stumbling on a usb floppy
Comment 2 Michal Jaegermann 2005-09-30 16:25:14 EDT
This does not happen anymore at least with 2.6.13-1.1586_FC5.

Note You need to log in before you can comment on or make changes to this bug.